跳至內容

Kling Video · v3 · Standard · Motion Control

整合

模型 id kling-video/v3/standard/motion-control
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/v3/standard/motion-control?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $1.26 1,260 API 點數 · ≈ ₽135.21 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Kling 影片轉影片 參考輸入 #stylized#transform#editing

Standard 層級的動作轉移,將參考影片的動作映射至角色影像

Kling · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

0 / 2500
•必填 image_url
拖放檔案,或

用於影片生成的參考圖像 URL,檔案大小上限為 10.0MB,寬度和高度各介於 340px 和 3850px 之間,寬高比介於 0.40 和 2.50 之間。此圖像會引導影片中的角色、背景和其他元素。對於角色,請確保身體比例清晰、沒有遮擋,且覆蓋圖像面積超過 5%。

•必填 video_url
拖放檔案,或

指向其角色動作將引導輸出的影片 URL;影片應顯示不受遮擋且具寫實風格的角色,頭部以及完整身體或上半身可見。character_orientation 設定會將 'image' 的長度限制為 10s,將 'video' 的長度限制為 30s。檔案限制:最多 100 MB,寬度和高度各介於 340px 和 3850px 之間,長度介於 3.0s 和 30.05s 之間。

character_orientation •必填

角色方向來源:'image' 會匹配參考圖像,更適合跟隨鏡頭移動,最長 10 秒。對於複雜動作,'video' 更適合:它會匹配參考影片的方向,並允許最長 30 秒。

進階 enable_safety_checker · keep_original_sound · elements

用於改善輸出影片中身分保持的選用臉部元素綁定,限上傳 1 個元素。請在提示詞中使用 @Element1 引用。只有在 character_orientation 設為 'video' 時才能使用綁定。

POST /run/kling-video/v3/standard/motion-control?wait=20 報價 → $1.26
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/v3/standard/motion-control?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kling Video · v3 · Standard · Motion Control

接收 `image_url` 中的角色圖像與 `video_url` 中的參考片段,並生成一段角色執行參考動作的影片。`character_orientation` 必須設定為 圖像 或 影片。選填輸入包括最多 2500 個字元的 `prompt`、`keep_original_sound` 以及 `elements` 中用於保持身分一致性的單一臉部元素。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
enable_safety_checker選填
類型boolean
預設值true
只有經帳戶授權才能停用安全檢查;未經授權的請求一律會接受檢查。
prompt選填
類型string | null
≤ 2,500 個字元
image_url必填 image
類型url · image
用於影片生成的參考圖像 URL,檔案大小上限為 10.0MB,寬度和高度各介於 340px 和 3850px 之間,寬高比介於 0.40 和 2.50 之間。此圖像會引導影片中的角色、背景和其他元素。對於角色,請確保身體比例清晰、沒有遮擋,且覆蓋圖像面積超過 5%。
video_url必填 video
類型url · video
指向其角色動作將引導輸出的影片 URL;影片應顯示不受遮擋且具寫實風格的角色,頭部以及完整身體或上半身可見。character_orientation 設定會將 'image' 的長度限制為 10s,將 'video' 的長度限制為 30s。檔案限制:最多 100 MB,寬度和高度各介於 340px 和 3850px 之間,長度介於 3.0s 和 30.05s 之間。
keep_original_sound選填
類型boolean
預設值true
控制是否保留參考影片的原始聲音。
character_orientation必填
類型enum
imagevideo
角色方向來源:'image' 會匹配參考圖像,更適合跟隨鏡頭移動,最長 10 秒。對於複雜動作,'video' 更適合:它會匹配參考影片的方向,並允許最長 30 秒。
elements選填
類型object[]
用於改善輸出影片中身分保持的選用臉部元素綁定,限上傳 1 個元素。請在提示詞中使用 @Element1 引用。只有在 character_orientation 設為 'video' 時才能使用綁定。
elements[].frontal_image_url選填
類型url · image
顯示元素主要視角的正面圖像。檔案大小不得超過 50 MB;寬度和高度各至少為 300px,寬高比介於 0.40 和 2.50 之間。
elements[].reference_image_urls選填
類型url[] · image
提供 1–3 張顯示不同角度的額外參考圖像。每張圖像的寬高比必須介於 0.40 和 2.50 之間,兩個尺寸至少為 300px,且大小不得超過 50.0MB。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v3/standard/motion-control",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1260,
    "usd": "1.26",
    "charged": 1260,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "character_orientation": "image"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。

更多模型:影片轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-video/v3/standard/motion-control.md. 所有模型與指南: https://doitong.com/developers/llms.txt